#include "tile/base/object_pool/disabled.h"

namespace tile {
namespace object_pool {
namespace detail {
namespace disabled {

void *
Get(const TypeDescriptor &desc)
{
    auto rc = desc.create();
    return rc;
}

void
Put(const TypeDescriptor &desc, void *ptr)
{
    desc.destroy(ptr);
}

}// namespace disabled
}// namespace detail

}// namespace object_pool
}// namespace tile
